$ErrorActionPreference = 'Stop';

$packageName  = 'Caprine'
$toolsDir     = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'Caprine-Setup-2.38.0.exe'

$packageArgs = @{
  packageName   = $packageName
  softwareName  = 'Caprine*'
  file          = $fileLocation
  fileType      = 'exe'
  silentArgs    = "/S"
  validExitCodes= @(0)
  checksum      = '32CE42ED82F3432ECFAD368E55BC6416B502B4F4C9D9BD23BDA839DF4D374E5E898160D10EE68867AD05EFE719E4574CE34496CC23C326D59BF739B2F39106E9'
  checksumType  = 'sha512'
}

Install-ChocolateyInstallPackage @packageArgs
